Block list
Add numbers to the Block list
Adds up to 1,000 numbers to the numbers your account never calls. A listed number is refused at dial time, for campaign calls and manual calls alike. Numbers already on the list keep their first entry. Numbers that can’t be read are returned in invalid and do not fail the request. A number can only be removed from the list in the dashboard. Requires scope: leads:write.
POST
/
v1
/
block-list
Add numbers to the Block list
curl --request POST \
--url https://api.topcalls.ai/v1/block-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_numbers": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://api.topcalls.ai/v1/block-list"
payload = {
"phone_numbers": ["<string>"],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_numbers: ['<string>'], note: '<string>'})
};
fetch('https://api.topcalls.ai/v1/block-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topcalls.ai/v1/block-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_numbers' => [
'<string>'
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topcalls.ai/v1/block-list"
payload := strings.NewReader("{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topcalls.ai/v1/block-list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topcalls.ai/v1/block-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"added": [
"<string>"
],
"already_listed": [
"<string>"
],
"invalid": [
{
"phone_number": "<string>",
"reason": "invalid_phone"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Body
application/json
Response
The numbers added, those already listed, and those that could not be read
⌘I
Add numbers to the Block list
curl --request POST \
--url https://api.topcalls.ai/v1/block-list \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"phone_numbers": [
"<string>"
],
"note": "<string>"
}
'import requests
url = "https://api.topcalls.ai/v1/block-list"
payload = {
"phone_numbers": ["<string>"],
"note": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({phone_numbers: ['<string>'], note: '<string>'})
};
fetch('https://api.topcalls.ai/v1/block-list', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.topcalls.ai/v1/block-list",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'phone_numbers' => [
'<string>'
],
'note' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.topcalls.ai/v1/block-list"
payload := strings.NewReader("{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.topcalls.ai/v1/block-list")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.topcalls.ai/v1/block-list")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"phone_numbers\": [\n \"<string>\"\n ],\n \"note\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"added": [
"<string>"
],
"already_listed": [
"<string>"
],
"invalid": [
{
"phone_number": "<string>",
"reason": "invalid_phone"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"code": "<string>",
"instance": "<string>",
"errors": [
{
"path": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}